Subject: kernel BUG at kernel/kallsyms.c:222!

From: [email-masked] (Rusty Russell)
Date: Tue, 10 Dec 2013 16:47:40 +1030

Ming Lei <[email-masked]> writes:

> Hi Axel,
>
> I am fine to resend it to RMK's patch system, but I am not sure
> if Russell would like to host it.
>
> Maybe it is better to push it via Rusty's tree since the change is only
> on scripts/, and it doesn't depend on the 1st one.
>
> Rusty, could you pick up the patch with title of
> "scripts/link-vmlinux.sh: only filter kernel symbols for arm"?

OK, and I added the correct Fixes: line so the stable people can track
it properly:

Cc: <[email-masked]>
Cc: Rusty Russell <[email-masked]>
Fixes: f6537f2f0eba4eba3354e48dbe3047db6d8b6254
Singed-off-by: Ming Lei <[email-masked]>
Signed-off-by: Rusty Russell <[email-masked]>

BTW, you misspelled Signed-off-by :)

Applied,
Rusty.

>
> Thanks,
> --
> Ming Lei
>
> On Mon, Dec 2, 2013 at 9:57 AM, Axel Lin <[email-masked]> wrote:
>> 2013/11/13 Ming Lei <[email-masked]>:
>>> Hi Axel,
>>>
>>> On Wed, Nov 13, 2013 at 5:58 PM, Axel Lin <[email-masked]> wrote:
>>>>
>>>> Hi Ming,
>>>> You missed "; then" in the end of if statement in your patch.
>>>>
>>>> So I got below error with your patch:
>>>> scripts/link-vmlinux.sh: line 87: syntax error near unexpected token `fi'
>>>> make: *** [vmlinuxclean] Error 2
>>>
>>> Thanks for your test, and I have fixed it and post a formal one for merge,
>>> and you can find these two patches on arm list, but forget to Cc you, sorry
>>> for that.
>>
>> Hi Ming,
>> Both your patch and Jonathan's patch are still not in linux-next.
>> Any chance to resend the patchs to RMK's patch system?
>>
>> Thanks,
>> Axel
>
>
>
> -- 
> Ming Lei